/*
    youtubeDownloadSettings

		Copyright (c) 2008-2009 by Alexander Kazarin <boiler@co.ru>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#include "settings.h"

#include <QSettings>
#include <QFileDialog>

urlpreviewSettings::urlpreviewSettings(QString profile_name) 
{
	ui.setupUi(this);
	m_profile_name = profile_name;

        QSettings settings(QSettings::IniFormat, QSettings::UserScope, "qutim/qutim."+m_profile_name, "plugin_youtube");
	ui.cbEnIn->setChecked(settings.value("enable_in", true).toBool());
	ui.cbEnOut->setChecked(settings.value("enable_out", false).toBool());
	ui.editTpl->setPlainText(settings.value("template").toString());

}

urlpreviewSettings::~urlpreviewSettings()
{
	
}

void urlpreviewSettings::saveSettings()
{
        QSettings settings(QSettings::IniFormat, QSettings::UserScope, "qutim/qutim."+m_profile_name, "plugin_youtube");
	settings.setValue("enable_in", ui.cbEnIn->isChecked());
	settings.setValue("enable_out", ui.cbEnOut->isChecked());
	settings.setValue("template", ui.editTpl->toPlainText());
	
	emit settingsChanged();
}

