/*
    youtubeDownloadPlugin

		Copyright (c) 2008-2009 by Alexander Kazarin <boiler@co.ru>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/


#ifndef ytdownloadPLUGIN_H
#define ytdownloadPLUGIN_H
#include "qutim/plugininterface.h"

#include "settings.h"

class QNetworkAccessManager;
class QNetworkReply;

using namespace qutim_sdk_0_2;

class urlpreviewPlugin : public QObject, SimplePluginInterface, EventHandler
{
	Q_OBJECT
	Q_INTERFACES(qutim_sdk_0_2::PluginInterface)
public:
	virtual bool init(PluginSystemInterface *plugin_system);
	virtual void release() {}
	virtual void processEvent(Event &event);
	virtual QWidget *settingsWidget();
	virtual void setProfileName(const QString &profile_name);
        virtual QString name() { return "YouTube download"; }
        virtual QString description() { return tr("Add download links for YouTube urls"); }
	virtual QString type() { return "other"; }
	virtual QIcon *icon();
	virtual void saveSettings();

private:
	QIcon *m_plugin_icon;
	PluginSystemInterface *m_plugin_system;
	QString m_profile_name;
	QString m_account_name;
	urlpreviewSettings *settingswidget;
	QHash<QString, QString> cfg_str;
	bool cfg_enable_in;
	bool cfg_enable_out;
	qint16 m_event_msgin;
	qint16 m_event_msgout;
	QNetworkAccessManager *netman;
	QHash<QString, QString> uidurls;
	QHash<QString, QString> urluids;
	QHash<QString, TreeModelItem> uiditems;

private slots:
	virtual void removeSettingsWidget();
	void loadSettings();
	void netmanFinished( QNetworkReply* );

};
#endif
